commons-dev mailing list archives

Site index · List index
Message view « Date » · « Thread »
Top « Date » · « Thread »
From Simone Tripodi <simonetrip...@apache.org>
Subject Re: [fileupload] drop JDK1.3 support, update to 1.5 and bump to 2.0.0
Date Tue, 05 Mar 2013 19:32:41 GMT
Hallo Jörg!

>> Sounds great.
>>
>> But please, keep in mind to take care of the package export version:
>> Currently the API is exported at 1.2.1 being the same as the
>> bundle/library version. If you update the library/bundle to 2.0, make sure
>> the API export is *not* updated to 2.0, otherwise consumers in OSGi
>> environments will not be able to use (due to semantic versioning). Thanks.
>
> sorry, I don't understand your comment at all. If we use 2.0, it will not be
> binary compatible and we intent on purpose that this version is not used as
> automated replacement.

IIUC Felix comment, while we break binary compatibility, APIs are
still backward compatible, that is why the if the artifact binary
distribution bumps to 2.0.0 doesn't necessarily mean that package
bumps to it as well.
But I could be wrong :P So I'll let Felix give more details.

Alles Gute!
-Simo

http://people.apache.org/~simonetripodi/
http://simonetripodi.livejournal.com/
http://twitter.com/simonetripodi
http://www.99soft.org/

---------------------------------------------------------------------
To unsubscribe, e-mail: dev-unsubscribe@commons.apache.org
For additional commands, e-mail: dev-help@commons.apache.org


Mime
View raw message